#include <Servo.h>

Servo Servo1;                           // Initialisierung Servo1 (vgl. I)
int PosServo1;

Servo Servo2;                           // Initialisierung Servo2 (vgl. II)
int PosSevo2;
int Pos1;

int PotiPin = 0;                        // Simulation via Poti (vgl. III)
float PosPoti;
int Pos2;

int SensorPin1 = 1;                     // Initialisierung horizontaler Sensor (vgl. IV)
float SensorWert1;
int SensorPin2 = 2;                 
float SensorWert2;

int SensorPin3 = 3;                     // Initialisierung vertikaler Sensor (vgl. V)
float SensorWert3;
int SensorPin4 = 4;                 
float SensorWert4;

void setup() {
  Servo1.attach(8);                     // Initialisierung Servo1 (vgl. I)

  Servo2.attach(9);                     // Initialisierung Servo2 (vgl. II)
  
  Serial.begin(9600);
}

void loop() 
{
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// III - vorläufige Simulation via Poti
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  /*PosPoti = analogRead(PotiPin);    // 1024 mögliche Positionen
  //Serial.print("PosPoti:");
  //Serial.print(PosPoti);          // Ausgabe Poti Wert/Position
  PosServo1 = PosPoti/5.7;           // Servopositionen (180°) auf die Potipositionen
  //Serial.print("PosServo:");
  //Serial.print(PosServo1);    // Ausgabe Servoposition

  if (PosPoti>=90)                  // Potiwert über 90 -> Links heller
  {
    Servo1.write(180);             // Servo auf Posioin 180 -> Drehen nach Links
  }
  if (PosPoti<90)                   // Potiwert unter 90 -> Rechts heller
  {
    Servo1.write(0);               // Servo auf Posioin 0 -> Drehen nach Rechts
  }
  else
  {
    delay(50);
  }*/
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// IV - Einlesen und Verarbeiten der Signale der Horizontalen Sensoren
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  SensorWert1 = analogRead(SensorPin1); // Zum Vergleich am PC kann zur Beschleunigung auskommentiert werden.
  Serial.print("SensorWert1: ");
  Serial.print(SensorWert1);
  delay(10);
  Serial.print(" ");

  SensorWert2 = analogRead(SensorPin2); // Zum Vergleich am PC kann zur Beschleunigung auskommentiert werden.
  Serial.print("SensorWert2: ");
  Serial.print(SensorWert2);
  delay(10);
  Serial.print(" ");

  if (SensorWert1>SensorWert2) // Drehen nach Rechts, wenn Rechts heller ist
  { 
    if (Pos1 <= 179) // Von Position 0 bis 179
    {
    Pos1 = Pos1 + 1; // 1° Schitte
    Servo1.write(Pos1);
    delay(10);
    }
    else // Maximal Position 180
    {
      Pos1 = 180;
      Servo1.write(Pos1);
      delay(10);
    }
  }
  else if (SensorWert1<SensorWert2) // Drehen nach Links, wenn Links heller ist
  {
    if (Pos1 >= 1) // Von Position 180 bis 1
    {
    Pos1 = Pos1 - 1; // 1° Schitte
    Servo1.write(Pos1);
    delay(10);
    }
    else // Minimal auf Position 0
    {
      Pos1 = 0;
      Servo1.write(Pos1);
      delay(10);
    }
  }
  else
  {
    delay(10);
  }
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// V - Einlesen und Verarbeiten der Signale der vertikalen Sensoren
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  SensorWert3 = analogRead(SensorPin3); // Zum Vergleich am PC kann zur Beschleunigung auskommentiert werden.
  Serial.print("SensorWert3: ");
  Serial.print(SensorWert3);
  delay(10);
  Serial.print(" ");

  SensorWert4 = analogRead(SensorPin4); // Zum Vergleich am PC kann zur Beschleunigung auskommentiert werden.
  Serial.print("SensorWert4: ");
  Serial.print(SensorWert4);
  delay(10);
  Serial.print(" ");

  if (SensorWert3>SensorWert4) // Drehen nach Oben, wenn oben heller ist
  { 
    if (Pos1 <= 179) // Von Position 0 bis 179
    {
    Pos1 = Pos1 + 1; // 1° Schitte
    Servo2.write(Pos2);
    delay(10);
    }
    else // Maximal Position 180
    {
      Pos2 = 180;
      Servo2.write(Pos2);
      delay(10);
    }
  }
  else if (SensorWert3<SensorWert4) // Drehen nach Unten, wenn Unten heller ist
  {
    if (Pos2 >= 1) // Von Position 180 bis 1
    {
    Pos2 = Pos2 - 1; // 1° Schitte
    Servo2.write(Pos2);
    delay(10);
    }
    else // Minimal auf Position 0
    {
      Pos2 = 0;
      Servo2.write(Pos2);
      delay(10);
    }
  }
  else
  {
    delay(10);
  }
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Ende Loop
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
}
